EvictionAction (Apache Geode 1.15.4)

org.apache.geode.cache

## Class EvictionAction

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - org.apache.geode.cache.EvictionAction

- All Implemented Interfaces:
    Serializable, Cloneable

      @Immutable
      public final class EvictionAction
      extends EnumSyntax
      implements Serializable

  The action that an `EvictionAlgorithm` takes.
  Since:
    GemFire 5.0
  See Also:
    `EvictionAlgorithm`, `EvictionAttributesImpl`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EvictionAction` | `DEFAULT_EVICTION_ACTION` The default eviction action is to locally destroy an Entry.
    `static EvictionAction` | `LOCAL_DESTROY` Perform a `localDestory` on the least recently used region entry.
    `static EvictionAction` | `NONE` Canonical EvictionAction that represents no eviction
    `static EvictionAction` | `OVERFLOW_TO_DISK` Write the value of the least recently used region entry to disk and `null`-out its value in the VM to free up heap space.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EnumSyntax[]` | `getEnumValueTable()`
    `protected String[]` | `getStringTable()`
    `boolean` | `isLocalDestroy()`
    `boolean` | `isNone()`
    `boolean` | `isOverflowToDisk()`
    `static EvictionAction` | `parseAction(String s)`
    `static EvictionAction` | `parseValue(int v)` Returns the eviction action that corresponds to the given parameter.

    - ### Methods inherited from class javax.print.attribute.EnumSyntax

      `clone, getOffset, getValue, hashCode, readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          @Immutable
          public static final EvictionAction NONE

      Canonical EvictionAction that represents no eviction

    - #### LOCAL_DESTROY

          @Immutable
          public static final EvictionAction LOCAL_DESTROY

      Perform a `localDestory` on the least recently used region entry.

    - #### OVERFLOW_TO_DISK

          @Immutable
          public static final EvictionAction OVERFLOW_TO_DISK

      Write the value of the least recently used region entry to disk and `null`-out its value in the VM to free up heap space. Note that this action is only available when the region has been configured to access data on disk.

    - #### DEFAULT_EVICTION_ACTION

          @Immutable
          public static final EvictionAction DEFAULT_EVICTION_ACTION

      The default eviction action is to locally destroy an Entry.

  - ### Method Detail

    - #### getStringTable

          protected String[] getStringTable()

      Overrides:
        `getStringTable` in class `EnumSyntax`

    - #### getEnumValueTable

          protected EnumSyntax[] getEnumValueTable()

      Overrides:
        `getEnumValueTable` in class `EnumSyntax`

    - #### isLocalDestroy

          public boolean isLocalDestroy()

    - #### isOverflowToDisk

          public boolean isOverflowToDisk()

    - #### isNone

          public boolean isNone()

    - #### parseValue

          public static EvictionAction parseValue(int v)

      Returns the eviction action that corresponds to the given parameter. Returns `null` if no action corresponds.
      Parameters:
        `v` - the parameter representation of an eviction action
      Returns:
        the eviction action that corresponds to the given parameter
      Since:
        GemFire 6.5

    - #### parseAction

          public static EvictionAction parseAction(String s)

      Parameters:
        `s` - a String representation of an eviction action
      Returns:
        the action parsed from the provided string. If there are problems with parsing NONE is returned.